OpenJPEG 2.5.0

Data Fields
metadata_param Struct Reference

metadata-bin parameters More...

`#include <metadata_manager.h>`

## Data Fields
Byte8_t | idx
| index number More...
boxlist_param_t * | boxlist
| box list More...
placeholderlist_param_t * | placeholderlist
| placeholder box list More...
boxcontents_param_t * | boxcontents
| box contents in case of no boxlist and placeholderlist More...
struct metadata_param * | next
| pointer to the next metadata-bin More...

## Detailed Description

metadata-bin parameters

## Field Documentation

## ◆ boxcontents

boxcontents_param_t* metadata_param::boxcontents

box contents in case of no boxlist and placeholderlist

Referenced by enqueue_metadata(), gene_metadata(), handle_XMLreqMSG(), parse_metadata(), and print_metadata().

## ◆ boxlist

boxlist_param_t* metadata_param::boxlist

box list

Referenced by enqueue_metadata(), gene_ihdrbox(), gene_metadata(), parse_metadata(), print_metadata(), and search_metadataidx().

## ◆ idx

Byte8_t metadata_param::idx

index number

Referenced by gene_metadata(), print_metadata(), search_metadata(), and search_metadataidx().

## ◆ next

struct metadata_param* metadata_param::next

pointer to the next metadata-bin

Referenced by delete_metadatalist(), gene_ihdrbox(), gene_metadata(), insert_metadata_into_list(), print_allmetadata(), search_metadata(), and search_metadataidx().

## ◆ placeholderlist

placeholderlist_param_t* metadata_param::placeholderlist

placeholder box list

Referenced by enqueue_metadata(), gene_metadata(), parse_metadata(), print_metadata(), and search_metadataidx().

The documentation for this struct was generated from the following file:

- metadata_manager.h